<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_exit reentrivisa.png">Exit Re-entry Visa</h2>
<div class="card formFieldsBlock">
  <div class="col-sm-12">
    <form [formGroup]="exitreentryForm" #formEl="ngForm">
      <div class="row">
        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Visa Type</mat-label>
              <mat-select formControlName="VisaType" reuired>
                  <mat-option value="Multiple">Multiple</mat-option>
                  <mat-option value="Single">Single</mat-option>
                </mat-select>   
                <mat-error *ngIf="exitreentryForm.controls['VisaType'].errors?.required &&
                exitreentryForm.controls['VisaType'].touched">
                    Please Select Visa Type.
                </mat-error>   
            </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Visa Required for</mat-label>
              <mat-select formControlName="VisaReq" reuired>
                <mat-option value="Family">Family</mat-option>
                <mat-option value="Self">Self</mat-option>
                <mat-option value="Self + Family">Self + Family</mat-option>
                </mat-select>   
                <mat-error *ngIf="exitreentryForm.controls['VisaReq'].errors?.required &&
                exitreentryForm.controls['VisaReq'].touched">
                Please Select Visa Required for.
                </mat-error>   
            </mat-form-field> 
          </div>

      </div> 
      <div class="row">

        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Family</mat-label>
              <mat-select formControlName="Family" reuired>
                  <mat-option value="All">All</mat-option>
                  <mat-option value="Kids">Kids</mat-option>
                  <mat-option value="Spouse">Spouse</mat-option>
                </mat-select>   
                <mat-error *ngIf="exitreentryForm.controls['Family'].errors?.required &&
                exitreentryForm.controls['Family'].touched">
                    Please Select Per Visa Type.
                </mat-error>   
            </mat-form-field> 
          </div>

          <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Duration Required (Days)</mat-label>
              <input matInput type="number"  formControlName="Days" maxlength="20" required autocomplete="off"  />  
              <mat-error *ngIf="exitreentryForm.controls['Days'].errors?.required &&
              exitreentryForm.controls['Days'].touched">
                      Please Enter Duration Required (Days)
                  </mat-error>    
            </mat-form-field> 
          </div>

        
        
      </div>  
      <div class="row">

        <div class="col-sm-6">
            <mat-form-field appearance="standard">
              <mat-label>Country</mat-label>
              <mat-select formControlName="Country" required>
                  <mat-option *ngFor="let cat of CountryList;let i=index;" [value]="cat">{{cat}}</mat-option>
                   
              </mat-select>
              <mat-error *ngIf="exitreentryForm.controls['Country'].errors?.required &&
              exitreentryForm.controls['Country'].touched">
                  Please Select Country.
              </mat-error> 
          </mat-form-field>
          </div>

          <div class="col-sm-6">
            <mat-form-field appearance="standard">
              <mat-label>Start Date</mat-label>
              
              <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="StartDate" required>
              <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
              <mat-datepicker #picker1></mat-datepicker>     
              <mat-error *ngIf="exitreentryForm.controls['StartDate'].errors?.required &&
              exitreentryForm.controls['StartDate'].touched">
                  Please Select Start Date.
              </mat-error>
          </mat-form-field>
          </div>


      
      </div>  
      <div class="row" style="align-items: flex-end;">

        <div class="col-sm-6">
            <mat-form-field class="email-field" appearance="standard" >
              <mat-label>Mobile No.</mat-label>
              <input matInput type="number"  formControlName="Mobile" maxlength="15" required autocomplete="off"  />     
              <mat-error *ngIf="exitreentryForm.controls['Mobile'].errors?.required &&
                exitreentryForm.controls['Mobile'].touched">
                      Please Enter Mobile No.
                  </mat-error>  
            </mat-form-field> 
          </div>

          <div class="col-sm-6">
          <mat-form-field class="email-field" appearance="standard" >
            <mat-label>Notes</mat-label>        
              <textarea matInput maxlength="150" formControlName="Notes"  required></textarea>  
              <mat-error *ngIf="exitreentryForm.controls['Notes'].errors?.required &&
              exitreentryForm.controls['Notes'].touched">
                    Please Enter Notes.
                </mat-error>   
        </mat-form-field> 
        </div>
      </div> <br>
      <section class="po-list">
        <ul>
            <li *ngFor="let item of familyArr.controls; let i = index" [formGroup]="item">
                <span class="s-no">{{i+1}}</span>
                <mat-form-field>
                  <mat-label>ID</mat-label>
                  <input matInput placeholder="ID" formControlName="key" required >
                </mat-form-field>
                <mat-form-field>
                  <mat-label>Name</mat-label>
                  <input matInput placeholder="Name" formControlName="value" required>
                </mat-form-field>
                <div class="button-item">
                    <button mat-mini-fab class="add-remove-item remove" (click)="deleteDialog(i)">-</button>
                </div>
          </li>
        </ul>
      </section>
      <div class="button-item-add">
        <span><button mat-mini-fab class="add-remove-item add" (click)="addItem($event)">+</button></span> <span
          class="text-btn">Add Family</span>
      </div>
      <div class="text-center">
        <button mat-raised-button (click)="onSubmit($event)" [disabled]="!exitreentryForm.valid || familyArr.length == 0" class="submit-btn"> Submit</button>
        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
      </div>
        
      </form>
  </div>
</div>


